using com.hnshituo.core.webapp.vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common
{
    public class MetetBaseRailwayAiweightService
    {
        public RESTfulResult<List<MetetBaseRailwayAiweight>> add(List<MetetBaseRailwayAiweight> info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MetetBaseRailwayAiweight>>> rm = db.doOption<PageList<List<MetetBaseRailwayAiweight>>>("meterbaserailwayaiweights", "/checkAdd", new object[] { info }, 1);

            RESTfulResult<List<MetetBaseRailwayAiweight>> result = new RESTfulResult<List<MetetBaseRailwayAiweight>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }

            return result;
        }
    }
}
